## ipv6pref 1.0.3

=== Makefile ===
LIBRARY=ipv6pref.so
MANPAGE=ipv6pref.1

VERSION:=$(shell cat version.inc)

all: $(LIBRARY) $(MANPAGE)

$(LIBRARY): ipv6pref.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $< $(LDFLAGS) -ldl -fPIC -shared -o $@

%.1: %.pod
	pod2man \
		--center="ipv6pref" \
		--section=1 \
		--release="$(VERSION)" \
		$< > $@

clean:
	-rm $(LIBRARY) $(MANPAGE)

=== debian/changelog ===
ipv6pref (1.0.3-1) unstable; urgency=medium

  * update to upstream version 1.0.3
  * limit supported architectures to Linux
  * install bash completion file

 -- Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>  Tue, 26 Jul 2016 08:16:21 +0200

ipv6pref (1.0.2-1) unstable; urgency=low

  * Initial packaging of upstream release 1.0.2 (Closes: #831427)

 -- Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>  Sun, 17 Jul 2016 22:00:00 +0200

=== debian/control ===
Source: ipv6pref
Section: utils
Priority: extra
Maintainer: Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>
Build-Depends: debhelper (>= 9), dh-exec, linux-libc-dev
Standards-Version: 3.9.8
Homepage: https://github.com/wertarbyte/ipv6pref
Vcs-Git: https://github.com/wertarbyte/ipv6pref.git
Vcs-Browser: https://github.com/wertarbyte/ipv6pref

Package: ipv6pref
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility to set IPv6 address preferences
 ipv6pref provides a utility that preloads a library and
 allows users to control the use of IPv6 privacy extensions.
 .
 For longrunning tasks it may be undesirable to use the periodically
 changing and random addresses; using the supplied utility,
 the kernel can be instructed whether to prefer the temporary addresses
 or stick to the static ones when opening sockets for a specific program.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

=== debian/watch ===
version=3
https://github.com/wertarbyte/ipv6pref/tags .*/archive/release/(.*)\.tar\.gz
